VDPAU: VdpPictureInfoHEVC444 Struct Reference

VDPAU

Data Fields
VdpPictureInfoHEVC444 Struct Reference
Core API » VdpDecoder; Video Decoding object

Picture parameter information for an HEVC 444 picture. More...

`#include <vdpau.h>`

## Data Fields
VdpPictureInfoHEVC | pictureInfo
uint8_t | sps_range_extension_flag
uint8_t | transformSkipRotationEnableFlag
uint8_t | transformSkipContextEnableFlag
uint8_t | implicitRdpcmEnableFlag
uint8_t | explicitRdpcmEnableFlag
uint8_t | extendedPrecisionProcessingFlag
uint8_t | intraSmoothingDisabledFlag
uint8_t | highPrecisionOffsetsEnableFlag
uint8_t | persistentRiceAdaptationEnableFlag
uint8_t | cabacBypassAlignmentEnableFlag
uint8_t | intraBlockCopyEnableFlag
uint8_t | pps_range_extension_flag
uint8_t | log2MaxTransformSkipSize
uint8_t | crossComponentPredictionEnableFlag
uint8_t | chromaQpAdjustmentEnableFlag
uint8_t | diffCuChromaQpAdjustmentDepth
uint8_t | chromaQpAdjustmentTableSize
uint8_t | log2SaoOffsetScaleLuma
uint8_t | log2SaoOffsetScaleChroma
int8_t | cb_qp_adjustment [6]
int8_t | cr_qp_adjustment [6]

## Detailed Description

Picture parameter information for an HEVC 444 picture.

Note: VDPAU clients must use VdpPictureInfoHEVC444 to describe the attributes of a frame being decoded with VDP_DECODER_PROFILE_HEVC_MAIN_444.

## Field Documentation

## ◆ cabacBypassAlignmentEnableFlag

uint8_t VdpPictureInfoHEVC444::cabacBypassAlignmentEnableFlag

## ◆ cb_qp_adjustment

int8_t VdpPictureInfoHEVC444::cb_qp_adjustment[6]

## ◆ chromaQpAdjustmentEnableFlag

uint8_t VdpPictureInfoHEVC444::chromaQpAdjustmentEnableFlag

## ◆ chromaQpAdjustmentTableSize

uint8_t VdpPictureInfoHEVC444::chromaQpAdjustmentTableSize

## ◆ cr_qp_adjustment

int8_t VdpPictureInfoHEVC444::cr_qp_adjustment[6]

## ◆ crossComponentPredictionEnableFlag

uint8_t VdpPictureInfoHEVC444::crossComponentPredictionEnableFlag

## ◆ diffCuChromaQpAdjustmentDepth

uint8_t VdpPictureInfoHEVC444::diffCuChromaQpAdjustmentDepth

## ◆ explicitRdpcmEnableFlag

uint8_t VdpPictureInfoHEVC444::explicitRdpcmEnableFlag

## ◆ extendedPrecisionProcessingFlag

uint8_t VdpPictureInfoHEVC444::extendedPrecisionProcessingFlag

## ◆ highPrecisionOffsetsEnableFlag

uint8_t VdpPictureInfoHEVC444::highPrecisionOffsetsEnableFlag

## ◆ implicitRdpcmEnableFlag

uint8_t VdpPictureInfoHEVC444::implicitRdpcmEnableFlag

## ◆ intraBlockCopyEnableFlag

uint8_t VdpPictureInfoHEVC444::intraBlockCopyEnableFlag

## ◆ intraSmoothingDisabledFlag

uint8_t VdpPictureInfoHEVC444::intraSmoothingDisabledFlag

## ◆ log2MaxTransformSkipSize

uint8_t VdpPictureInfoHEVC444::log2MaxTransformSkipSize

## ◆ log2SaoOffsetScaleChroma

uint8_t VdpPictureInfoHEVC444::log2SaoOffsetScaleChroma

## ◆ log2SaoOffsetScaleLuma

uint8_t VdpPictureInfoHEVC444::log2SaoOffsetScaleLuma

## ◆ persistentRiceAdaptationEnableFlag

uint8_t VdpPictureInfoHEVC444::persistentRiceAdaptationEnableFlag

## ◆ pictureInfo

VdpPictureInfoHEVC VdpPictureInfoHEVC444::pictureInfo

VdpPictureInfoHEVC struct.

## ◆ pps_range_extension_flag

uint8_t VdpPictureInfoHEVC444::pps_range_extension_flag

## ◆ sps_range_extension_flag

uint8_t VdpPictureInfoHEVC444::sps_range_extension_flag

## ◆ transformSkipContextEnableFlag

uint8_t VdpPictureInfoHEVC444::transformSkipContextEnableFlag

## ◆ transformSkipRotationEnableFlag

uint8_t VdpPictureInfoHEVC444::transformSkipRotationEnableFlag

The documentation for this struct was generated from the following file:

- vdpau/vdpau.h